Extending Qt Creator Manual | CommandLocator

Extending Qt Creator Manual 4.3.0

# CommandLocator Class

(Core::CommandLocator)

Inherits: | Core::ILocatorFilter

- List of all members, including inherited members

## Public Functions

| CommandLocator(Id id, const QString &displayName, const QString &shortCutString, QObject *parent = 0)
| ~CommandLocator()
void | appendCommand(Command *cmd)

## Reimplemented Public Functions

virtual void | accept(LocatorFilterEntry selection) const
virtual QList<LocatorFilterEntry> | matchesFor(QFutureInterface<LocatorFilterEntry> &future, const QString &entry)
virtual void | refresh(QFutureInterface<void> &future)

- 17 public functions inherited from Core::ILocatorFilter

### Additional Inherited Members

- 1 public slot inherited from Core::ILocatorFilter
- 7 static public members inherited from Core::ILocatorFilter
- 5 protected functions inherited from Core::ILocatorFilter

## Member Function Documentation

### CommandLocator::CommandLocator(Id id, const QString &displayName, const QString &shortCutString, QObject *parent = 0)

Default constructs an instance of CommandLocator.

### CommandLocator::~CommandLocator()

Destroys the instance of CommandLocator.

### `[virtual]` void CommandLocator::accept(LocatorFilterEntry selection) const

### void CommandLocator::appendCommand(Command *cmd)

### `[virtual]` QList<LocatorFilterEntry> CommandLocator::matchesFor(QFutureInterface<LocatorFilterEntry> &future, const QString &entry)

### `[virtual]` void CommandLocator::refresh(QFutureInterface<void> &future)